#ifndef ZIGZAG_H
#define ZIGZAG_H

#include <dol.h>

#define PORT_IN1   "in1"
#define PORT_OUT1  "out1"

//local variables
typedef struct _local_states {
    int num_iter; //number of iterations
} Zigzag_State;

void zigzag_init(DOLProcess *);
int zigzag_fire(DOLProcess *);

#endif
